<?php
/**
 * The template used for displaying logo_slider
 *
 * @package Focus_Stock
 */
$focus_stock_quantity      = get_theme_mod( 'focus_stock_logo_slider_number', 6 );
$focus_stock_no_of_post    = 0; // for number of posts
$focus_stock_post_list     = array(); // list of valid post/page ids
$focus_stock_type = 'page';

$focus_stock_args = array(
	'post_type'           => 'any',
	'ignore_sticky_posts' => 1, // ignore sticky posts
);

for ( $i = 1; $i <= $focus_stock_quantity; $i++ ) {
	$focus_stock_post_id = '';
	$focus_stock_post_id = get_theme_mod( 'focus_stock_logo_slider_page_' . $i );

	if ( $focus_stock_post_id && '' !== $focus_stock_post_id ) {
		$focus_stock_post_list = array_merge( $focus_stock_post_list, array( $focus_stock_post_id ) );

		$focus_stock_no_of_post++;
	}
}

$focus_stock_args['post__in'] = $focus_stock_post_list;
$focus_stock_args['orderby'] = 'post__in';

if ( ! $focus_stock_no_of_post ) {
	return;
}

$focus_stock_args['posts_per_page'] = $focus_stock_no_of_post;

$focus_stock_loop = new WP_Query( $focus_stock_args );

while ( $focus_stock_loop->have_posts() ) :
	$focus_stock_loop->the_post();

	$focus_stock_classes = 'post post-' . get_the_ID() . ' hentry slides';

	// Default value if there is no featurd image or first image.
	$image_url = trailingslashit( esc_url ( get_template_directory_uri() ) ) . 'assets/images/no-thumb-150x150.jpg';

	if ( has_post_thumbnail() ) {
		$image_url = get_the_post_thumbnail_url( get_the_ID(), 'full' );
	} else {
		// Get the first image in page, returns false if there is no image.
		$first_image_url = focus_stock_get_first_image( get_the_ID(), 'full', '', true );

		// Set value of image as first image if there is an image present in the page.
		if ( $first_image_url ) {
			$image_url = $first_image_url;
		}
	}
	?>
	<article class="<?php echo esc_attr( $focus_stock_classes ); ?>">
		<div class="hentry-inner">
			<div class="post-thumbnail">
				<a href="<?php the_permalink(); ?>" title="<?php the_title_attribute(); ?>">
						<img src="<?php echo esc_url( $image_url ); ?>" class="wp-post-image" alt="<?php the_title_attribute(); ?>">
					</a>
			</div><!-- .logo_slider-image-wrapper -->

			<div class="entry-container">
					<header class="entry-header">
						<h2 class="entry-title">
							<a title="<?php the_title_attribute(); ?>" href="<?php the_permalink(); ?>">
								<?php the_title( '<span>','</span>' ); ?>
							</a>
						</h2>
					</header>
			</div><!-- .entry-container -->
		</div><!-- .hentry-inner -->
	</article><!-- .slides -->
<?php
endwhile;

wp_reset_postdata();
